<div id="batchDelete" class="category-table custom-datatable">
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-12 col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive" id="proTeamScroll" tabindex="2"
                            style="height: 500px; overflow: hidden; outline: none;">
                            <table class="table table-stripe">
                                <thead>
                                    <tr>
                                        <th>Image</th>
                                        <th>Name Promo</th>
                                        <th>Description</th>
                                        <th>Start date</th>
                                        <th>End Date</th>
                                        <th>Status</th>
                                       
                                    </tr>
                                </thead>
                                <tbody
                                    *ngFor="let promo of listpromo | filter:search_name | paginate: { itemsPerPage: 5, currentPage: p }">
                                    <tr (click)="updatePromo(promo,promo?.id)">
                                        <td class="table-img"><img src="http://127.0.0.1:8887/{{promo.img}}" alt="image"/> 
                                         </td>
                                        <td>
                                            {{promo?.name}}
                                        </td>
                                        <td>
                                            {{promo?.description}}
                                        </td>
                                        <td>
                                            {{promo?.date_deb}}
                                        </td>
                                        <td>
                                            {{promo?.date_fin}}
                                        </td>
                                        <td>
                                            {{promo?.status}}
                                        </td>

                                       
                                    </tr>
                                    <!-- Modal Delete-->

                           
                                </tbody>
                            </table>
                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                            <label>Total {{listpromo.length}}</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>